io.vertx.ext.web.handler.graphql

## Interface GraphQLHandler

- All Superinterfaces:
    Handler<RoutingContext>

      public interface GraphQLHandler
      extends Handler<RoutingContext>

  A `Route` handler for GraphQL requests.
  Author:
    Thomas Segismont

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphQLHandler` | `create(graphql.GraphQL graphQL)` Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.
    `static GraphQLHandler` | `create(graphql.GraphQL graphQL, GraphQLHandlerOptions options)` Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.
    `GraphQLHandler` | `dataLoaderRegistry(java.util.function.Function<RoutingContext,org.dataloader.DataLoaderRegistry> factory)` Customize the `DataLoaderRegistry`.
    `GraphQLHandler` | `queryContext(java.util.function.Function<RoutingContext,Object> factory)` Customize the query context object.

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### create

          static GraphQLHandler create(graphql.GraphQL graphQL)

      Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.

      The handler will be configured with default `options`.

    - #### create

          static GraphQLHandler create(graphql.GraphQL graphQL,
                                       GraphQLHandlerOptions options)

      Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.

      The handler will be configured with the given `options`.

      Parameters:
        `options` - options for configuring the `GraphQLHandler`

    - #### queryContext

          GraphQLHandler queryContext(java.util.function.Function<RoutingContext,Object> factory)

      Customize the query context object. The provided `factory` method will be invoked for each incoming GraphQL request.
      Returns:
        a reference to this, so the API can be used fluently

    - #### dataLoaderRegistry

          GraphQLHandler dataLoaderRegistry(java.util.function.Function<RoutingContext,org.dataloader.DataLoaderRegistry> factory)

      Customize the `DataLoaderRegistry`. The provided `factory` method will be invoked for each incoming GraphQL request.
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2019 Eclipse. All rights reserved.